[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# MatchText

Check if a string is in a list of values

## Declaration

Source position: strutils.pp line 41

`function MatchText(`
`const AText: string;`
`const AValues: array of string`
`):Boolean; function MatchText(`
`const AText: UnicodeString;`
`const AValues: array of UnicodeString`
`):Boolean;`

## Description

MatchText returns True if aText equals one of the strings in aValues. The comparison is done case insensitively. If you wish to compare case sensitively, use MatchStr instead.

## See also

MatchStr |  | Check whether a string occurs in an array of strings, observing case.
AnsiMatchText |  | Check whether a string occurs in an array of strings, disregarding case.
IndexText |  | Index of text in a list of values